HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetEventsId

Contains the different functions to run the operation getEventsId

  • 2 types
  • 2 values
valuegetEventsId
  1. :: MonadHTTP m
  2. => GetEventsIdParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetEventsIdResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/events/{id}

<p>Retrieves the details of an event. Supply the unique identifier of the event, which you might have received in a webhook.</p>

Defines the object schema located at paths./v1/events/{id}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON
datadata GetEventsIdResponse
#

Represents a response of the operation getEventsId.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetEventsIdResponseError is used.

Constructors

Instances2Eq, Show